'use strict';

var vue = require('vue');

function useCounter(initialValue = 0) {
    const count = vue.ref(initialValue);
    const increment = () => count.value++;
    const decrement = () => count.value--;
    const reset = () => (count.value = initialValue);
    return {
        count,
        increment,
        decrement,
        reset,
    };
}

exports.useCounter = useCounter;
